# DeleteBatchTaxCodeRecommendations

Deletes a tax code recommendation batch.

`DELETE /api/v2/companies/{companyId}/taxcode-recommendations/batches/{batchId}`

**API:** AvaTax API
**Tag:** Items
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/Items/DeleteBatchTaxCodeRecommendations/

## Description

Deletes the specified tax code recommendation batch.
            
Returns '404 Not Found' if the batch is already deleted, does not exist, or belongs to a different company.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPAdmin, CSPTester, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The unique ID of the company. |
| `batchId` | integer | path | Yes | The unique ID of the batch to delete. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success |  |
| 400 | Bad Request | `ProblemDetails` |
| 401 | Unauthorized | `ProblemDetails` |
| 404 | Not Found | `ProblemDetails` |
| 500 | Server Error |  |

## Example Request

```bash
curl -X DELETE "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/taxcode-recommendations/batches/{batchId}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```